import { decodeFields } from '@dvn/core/doldurma/src/decoder';
import { DataModel } from '@dvn/core/models/data-model';
import { Space } from '@dvn/core/models/space';
export class TableConfig extends DataModel {
  static decode(json) {
    const model = Object.assign(Object.create(TableConfig.prototype), json);
    model.space = Space.decode(model.space);
    model.fields = decodeFields(model.fields);
    return model;
  }
}
